apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
  # "https://github.com/kubernetes-sigs/cluster-api/releases/download/v1.3.1/core-components.yaml"
  - v1.3.1/core-components.yaml
  # "https://github.com/kubernetes-sigs/cluster-api/releases/download/v1.3.1/bootstrap-components.yaml"
  - v1.3.1/bootstrap-components.yaml
  # "https://github.com/kubernetes-sigs/cluster-api/releases/download/v1.3.1/control-plane-components.yaml"
  - v1.3.1/control-plane-components.yaml

patchesJson6902:
- patch: |-
    - op: replace
      path: /spec/template/spec/containers/0/args/2
      value: --feature-gates=MachinePool=false,KubeadmBootstrapFormatIgnition=false
    - op: replace
      path: /spec/template/spec/containers/0/args/3
      value: --bootstrap-token-ttl=15m
  target:
    kind: Deployment
    name: capi-kubeadm-bootstrap-controller-manager
- patch: |-
    - op: replace
      path: /spec/template/spec/containers/0/args/2
      value: --feature-gates=ClusterTopology=false,KubeadmBootstrapFormatIgnition=false
  target:
    kind: Deployment
    name: capi-kubeadm-control-plane-controller-manager
- patch: |-
    - op: replace
      path: /spec/template/spec/containers/0/args/2
      value: --feature-gates=MachinePool=false,ClusterResourceSet=true,ClusterTopology=false,RuntimeSDK=false
  target:
    kind: Deployment
    name: capi-controller-manager
    
